Skip to content

Link your Slack account with the token from the link `/oncall` replied with in Slack.

POST
/user/{user_id}/contact_method/slack_link
curl --request POST \
--url https://api.siteqwality.com/user/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/contact_method/slack_link \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "token": "example" }'
user_id
required
string format: uuid

User identifier: the signed-in user

Media type application/json

Link a Slack account with the token from a /oncall link.

object
token
required

The token query parameter of the “Link your Slack account” link.

string
Example generated
{
"token": "example"
}

Already linked: the user’s existing Slack DM to this Slack member

Media type application/json
object
id
required
string format: uuid
user_id
required
string format: uuid
type
required
string
Allowed values: email sms phone_call slack_dm mobile_push
details
required

Stored details with a Slack DM token masked.

verified
required
boolean
created_at
required
string format: date-time
integration_id

A Slack DM linked from /oncall sends through this Slack integration; no token is stored.

string | null format: uuid
linked_via

The linked Slack integration’s name, while it is connected.

string | null
Example
{
"type": "email"
}

Linked: a verified Slack DM that sends with the workspace’s Slack integration, and default rules for urgencies the user has none for

Media type application/json
object
id
required
string format: uuid
user_id
required
string format: uuid
type
required
string
Allowed values: email sms phone_call slack_dm mobile_push
details
required

Stored details with a Slack DM token masked.

verified
required
boolean
created_at
required
string format: date-time
integration_id

A Slack DM linked from /oncall sends through this Slack integration; no token is stored.

string | null format: uuid
linked_via

The linked Slack integration’s name, while it is connected.

string | null
Example
{
"type": "email"
}

The link is invalid (slack_link_invalid) or expired (slack_link_expired)

Missing or invalid authentication

Only the user, signed in to the dashboard, may link their own Slack account

This account has not connected the Slack workspace (slack_workspace_not_connected)

The workspace’s Slack integration is turned off (slack_workspace_disabled), another member of the account already has this Slack account (slack_member_linked_elsewhere), or the user has 20 contact methods (contact_method_limit_reached)

Internal server error